<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://userTierRegistrationOnboardingEdit.caption"
        focusComponent="form">
    <data>
        <instance id="userTierRegistrationDc"
                  class="com.company.management.entity.registrationdb.UserTier">
            <fetchPlan extends="_base">
                <property name="tier" fetchPlan="_base"/>
                <property name="user" fetchPlan="_base">
                    <property name="actStatus" fetchPlan="_base"/>
                    <property name="identificationType" fetchPlan="_base"/>
                    <property name="userType" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="editActions">
        <form id="form" dataContainer="userTierRegistrationDc">
            <column width="350px">
                <textField id="createdByField" property="createdBy"/>
                <dateField id="createdDateField" property="createdDate"/>
                <textField id="deletedByField" property="deletedBy"/>
                <dateField id="deletedDateField" property="deletedDate"/>
                <textField id="lastModifiedByField" property="lastModifiedBy"/>
                <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                <textField id="referenceField" property="reference"/>
                <entityPicker id="tierField" property="tier">
                    <actions>
                        <action id="entityLookup" type="entity_lookup"/>
                        <action id="entityClear" type="entity_clear"/>
                    </actions>
                </entityPicker>
                <entityPicker id="userField" property="user">
                    <actions>
                        <action id="entityLookup" type="entity_lookup"/>
                        <action id="entityClear" type="entity_clear"/>
                    </actions>
                </entityPicker>
                <textField id="versionField" property="version"/>
            </column>
        </form>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
